---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: front-deployment
  namespace: app
spec:
  selector:
    matchLabels:
      app: front
  replicas: 1
  template:
    metadata:
      labels:
        app: front
    spec:
      containers:
      - name: front
        image: vchetverikov/front:latest
        ports:
        - containerPort: 8080
        env:
        - name: API_HOST
          value: api-service
        - name: API_PORT
          value: "8080"
